<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- WARNING: Eclipse auto-generated file.
              Any modifications will be overwritten.
              To include a user specific buildfile here, simply create one in the same
              directory with the processing instruction <?eclipse.ant.import?>
              as the first entry and export the buildfile again. -->
<project basedir="." default="build" name="vanHelsingGUI">
	<property environment="env" />
	<property name="debuglevel" value="source,lines,vars" />
	<property name="target" value="1.6" />
	<property name="source" value="1.6" />
	<path id="Web App Libraries.libraryclasspath">
		<pathelement location="WebContent/WEB-INF/lib/FastInfoset.jar" />
		<pathelement location="WebContent/WEB-INF/lib/VanHelsing-test-client.jar" />
		<pathelement location="WebContent/WEB-INF/lib/XmlSchema-1.4.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/acegi-security-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/activation-1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-api-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-dom-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-impl-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-adb-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-adb-codegen-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-ant-plugin-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-clustering-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-codegen-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-corba-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-fastinfoset-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-java2wsdl-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jaxbri-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jaxws-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jibx-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-json-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-kernel-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-metadata-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-mtompolicy-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-saaj-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-spring-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-transport-http-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-transport-local-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-xmlbeans-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/backport-util-concurrent.jar" />
		<pathelement location="WebContent/WEB-INF/lib/bcel-5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/catalina-ant.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-beanutils.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-codec-1.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-collections.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-digester.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-discovery.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-el.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-fileupload-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-fileupload.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-httpclient-3.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-io-1.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-lang-2.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-lang.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging-1.1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging.jar" />
		<pathelement location="WebContent/WEB-INF/lib/el-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/el-ri.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-annotation_1.0_spec-1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-jaxws_2.1_spec-1.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-saaj_1.3_spec-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-stax-api_1.0_spec-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-ws-metadata_2.0_spec-1.1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/grizzly-compat.jar" />
		<pathelement location="WebContent/WEB-INF/lib/httpcore-4.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces-comps.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces-facelets.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jalopy-1.5rc3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jasper-compiler.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jasper-runtime.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-api-2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-impl-2.1.7.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-xjc-2.1.7.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxen-1.1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jettison-1.0-RC2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jibx-bind-1.2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jibx-run-1.2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-api-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-impl-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-impl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsp-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jstl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/just-ice.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jxl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/krysalis-jCharts-1.0.0-alpha-1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/log4j-1.2.15.jar" />
		<pathelement location="WebContent/WEB-INF/lib/mail-1.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/mex-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/myfaces-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/myfaces-impl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/neethi-2.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/portlet.jar" />
		<pathelement location="WebContent/WEB-INF/lib/push-server.jar" />
		<pathelement location="WebContent/WEB-INF/lib/servlet-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/smack-3.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/smackx-3.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/soapmonitor-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/spring-security-core-2.0.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/woden-api-1.0M8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/woden-impl-dom-1.0M8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/wsdl4j-1.6.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/wstx-asl-3.2.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xalan-2.7.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xercesImpl-2.6.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xercesImpl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-apis-1.3.02.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-apis.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-resolver-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xmlbeans-2.3.0.jar" />
	</path>
	<path id="JSF 1.2 (Sun RI).userclasspath" />
	<path id="vanHelsingGUI.classpath">
		<pathelement location="build/classes" />
		<path refid="Web App Libraries.libraryclasspath" />
		<path refid="JSF 1.2 (Sun RI).userclasspath" />
		<pathelement location="WebContent/WEB-INF/lib/acegi-security-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/activation-1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-api-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-dom-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axiom-impl-1.2.8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-adb-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-adb-codegen-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-ant-plugin-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-clustering-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-codegen-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-corba-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-fastinfoset-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-java2wsdl-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jaxbri-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jaxws-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-jibx-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-json-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-kernel-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-metadata-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-mtompolicy-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-saaj-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-spring-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-transport-http-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-transport-local-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/axis2-xmlbeans-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/backport-util-concurrent.jar" />
		<pathelement location="WebContent/WEB-INF/lib/bcel-5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/catalina-ant.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-beanutils.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-codec-1.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-collections.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-digester.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-discovery.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-el.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-fileupload.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-fileupload-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-httpclient-3.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-io-1.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-lang.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-lang-2.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging-1.1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/commons-logging-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/el-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/el-ri.jar" />
		<pathelement location="WebContent/WEB-INF/lib/FastInfoset.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-annotation_1.0_spec-1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-jaxws_2.1_spec-1.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-saaj_1.3_spec-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-stax-api_1.0_spec-1.0.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/geronimo-ws-metadata_2.0_spec-1.1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/grizzly-compat.jar" />
		<pathelement location="WebContent/WEB-INF/lib/httpcore-4.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces-comps.jar" />
		<pathelement location="WebContent/WEB-INF/lib/icefaces-facelets.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jalopy-1.5rc3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jasper-compiler.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jasper-runtime.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-api-2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-impl-2.1.7.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxb-xjc-2.1.7.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jaxen-1.1.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jettison-1.0-RC2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jibx-bind-1.2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jibx-run-1.2.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-api-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-impl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsf-impl-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jsp-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jstl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/just-ice.jar" />
		<pathelement location="WebContent/WEB-INF/lib/jxl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/krysalis-jCharts-1.0.0-alpha-1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/log4j-1.2.15.jar" />
		<pathelement location="WebContent/WEB-INF/lib/mail-1.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/mex-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/myfaces-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/myfaces-impl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/neethi-2.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/portlet.jar" />
		<pathelement location="WebContent/WEB-INF/lib/push-server.jar" />
		<pathelement location="WebContent/WEB-INF/lib/servlet-api.jar" />
		<pathelement location="WebContent/WEB-INF/lib/smack-3.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/smackx-3.0.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/soapmonitor-1.5.1.jar" />
		<pathelement location="WebContent/WEB-INF/lib/spring-security-core-2.0.3.jar" />
		<pathelement location="WebContent/WEB-INF/lib/VanHelsing-test-client.jar" />
		<pathelement location="WebContent/WEB-INF/lib/woden-api-1.0M8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/woden-impl-dom-1.0M8.jar" />
		<pathelement location="WebContent/WEB-INF/lib/wsdl4j-1.6.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/wstx-asl-3.2.4.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xalan-2.7.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xercesImpl.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xercesImpl-2.6.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-apis.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-apis-1.3.02.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xmlbeans-2.3.0.jar" />
		<pathelement location="WebContent/WEB-INF/lib/xml-resolver-1.2.jar" />
		<pathelement location="WebContent/WEB-INF/lib/XmlSchema-1.4.3.jar" />
	</path>
	<target name="init">
		<mkdir dir="build/classes" />
		<copy includeemptydirs="false" todir="build/classes">
			<fileset dir="src" excludes="**/*.launch, **/*.java" />
		</copy>
	</target>
	<target name="clean">
		<delete dir="build/classes" />
	</target>
	<target depends="clean" name="cleanall" />
	<target depends="build-subprojects,build-project" name="build" />
	<target name="build-subprojects" />
	<target depends="init" name="build-project">
		<echo message="${ant.project.name}: ${ant.file}" />
		<javac debug="true" debuglevel="${debuglevel}" destdir="build/classes" source="${source}" target="${target}">
			<src path="src" />
			<classpath refid="vanHelsingGUI.classpath" />
		</javac>
	</target>
	<target description="Build all projects which reference this project. Useful to propagate changes." name="build-refprojects" />
	<target name="jar">
		<mkdir dir="build/jar" />
		<jar destfile="build/jar/VanHelsingGUI.jar" basedir="build/classes">
			<manifest>
				<attribute name="Main-Class" value="de.dass_it.VanHelsingGUI" />
			</manifest>
		</jar>
	</target>
	<property name="warfile" value="VanHelsingGUI.war"/>
	<property name="deploydir" value="."/>
	 <target name="war">
	    <war destfile="${warfile}" webxml="WebContent/WEB-INF/web.xml">
	      <classes dir="build/classes" />
              <lib dir="WebContent/WEB-INF/lib"/>		
              <fileset dir="WebContent">
	        <exclude name="WebContent/WEB-INF/*"/>
	      </fileset>
	    </war>
	   <!-- <echo>Copying ${warfile}...</echo>
	    <copy file="${warfile}" todir="${deploydir}" />
	    <delete file="${warfile}" /> -->
	  </target> 

</project>
